RSQ Command History Lines Limit


#1

how to change the ‘iines-limit’ (which seems to be 500) - that is can I change ‘command history’ to 1000 lines?


(Pascal Golay) #2

Hello - You cannot now, but I am sure this is possible … but why?

thanks,
-Pascal


#3

99% ONLY for debugging; especially as some commands do not “do” anything, visually on the screen, and once Things Work, I no longer need the command history…

so i’ve just eliminated a bunch of stuff; and turned off command history on other places…???

THANKS!!!

on another subject:

i’m trying to use “RotateObject”, and I want to use world (X-Y) construction plane and the command “defaults” to using construction plane”Z”, but I want to use “X” as a “rotate axis”

I’m generating a bunch( 30-80) of catenary curves on the X-Y plane (CPlane), and want to “stand them up” (like a series of “door” openings) along the World CPlane’s Y) like you are walking through these door openings along the “Y=0” axis

but I obviously am mucking-up the Command’s “axis” parameter…
( or maybe it’s Point parameter)???

I’ve read the Help & the developer & Python pages and I am still struggling with both axis as well as point?

got any hints??

from yard work Bill


(Pascal Golay) #4

Hi Bill - if you are using rs.Command and sending the command points, make each point string start with ‘w’ to force world coordinate.

W1,0,0

To map objects from World XY to another plane, use (in Rhino) RemapCPlane or in scripting a transform, PlaneToPlane (Rhino.Geometry.Transform.PlanetoPLane() in RhinoCommon, and I think that is rs.TransformRotation1() in rhinoscriptsyntax.

Also, @vikingasia, you can periodically get the command history if you are scripting by
rs.CommandHistory()

-Pascal


#5

Pascal,

as always - I was not thinking about my transforms like the software was designed…

the “w” in front of the ‘world’ points is a key item as is "PlaneToPlane"
now that I have these two ‘tools’ in my ‘bag of tricks’ I think I’ll move ahead
nicely,

thank you very much!